Subject: Re: Re: [lojban] project management

From: Björn Gohla <[email-masked]>
Date: Wed, 28 Mar 2001 20:43:17 +0200

On Wednesday 28 March 2001 18:23, Robin Lee Powell wrote:
> On Wed, Mar 28, 2001 at 09:24:46AM +0200, Bjoern Gohla wrote:
> > Robin Lee Powell wrote:
> > > On Sat, Mar 24, 2001 at 03:38:04PM +0100, Bjoern Gohla wrote:
> > ideally though the repository would be integrated with the existing
> > website, giving it a makeover. thus keeping all the 'essential' lojban
> > documents in one place.
> >
> > the plainest implementation as i see it would be running just the cvs
> > pserver and webcvs (cf www.cvshome.org), farther reaching would be the
> > idea of using one of the groupware suites that i suggested. though
> > having tried to set up one of them on my machine at home i realized
> > that this would require a lot more dedication to set up and
> > maintainence (i would be happy to contribute).
>
> I don't think integrating it with the existing web site would be a good
> idea for exactly the reason you just mentioned: it's a non-trivial
> operation, and lojbab does _not_ have a lot of free time. I, OTOH, do,
> and I'm a UNIX admin for a living. 8)
i appreciate your eagerness ;^) 
the static parts could be strictly seperated from the dynamic parts, meaning 
there would be static links on the existing site in all the critical places 
pointing to the most recent major release (ie commonly approved, 
spellchecked, ...) of the document in question, which would be pulled from 
the repository on demand. having a link to the repository groupware site on 
the frontpage on www.lojban.org would also be desireable. so lojbab's part 
would be a one time effort.

the more comprehensive solution though is integrating, which would also more 
easily address the alledged lack of 'liveliness' of the website. considering 
perceived interest in the matter, i believe there is enough idle intellect 
available amongst us to aide in this affair. 

the workability of this approach should nevertheless first be shown by 
setting up repository and groupware seperately first. 

> > i clearly see the danger of feature overloaded software, some of them
> > might still be desireable though, such as monitoring of who signed up
> > for what , or defining project goals and tracking the participants
> > assessment of how far they developed their project with respect to
> > the goal ,or calendering.
on the other hand, i suppose it could be trimmed down to what we need.

- -- 
- -------------------------------------
[email-masked]	Björn Gohla
pub 1024D/834F4976 2001-01-07 Björn Gohla (Wissenschaftler, Weltbürger) 
<[email-masked]>
Key fingerprint = 9FF4 FEDA CCDF DA0E 14D5 8129 6C14 3C39 834F 4976
sub 1024g/29571FE2 2001-01-07  
guard your privacy -- use GnuPG -- see: http://www.gnupg.org